=== debian/changelog ===
radlib (2.12.0-9) unstable; urgency=medium

  [ Joachim Zobel ]
  * Renamed raddebug to raddebug.radlib (Closes: #1076219)
  * d/control: Updated Homepage

  [ Thorsten Alteholz ]
  * taking care of trailing whitespaces in d/rules, d/changelog
  * debian/copyright: update
  * adding debian/upstream/metadata

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 30 Aug 2025 12:47:22 +0200

radlib (2.12.0-8) unstable; urgency=medium

  [ Nilesh Patra ]
  * Fixup cross-builds (Closes: #1110409)

  [ Joachim Zobel ]
  * Added hardening flags

  [ Thorsten Alteholz ]
  * debian/control: bump standard to 4.7.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 24 Aug 2025 19:12:00 +0200

radlib (2.12.0-7) unstable; urgency=medium

  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/control: use dh13
  * debian/control: add Rules-Requires-Root: no
  * add patch implicit.patch (Closes: #1066622)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 16 Mar 2024 00:12:00 +0100

radlib (2.12.0-6) unstable; urgency=medium

  * debian/control: bump standard to 4.1.5 (no changes)
  * debian/control: use dh11
  * debian/control: use salsa VCS URLs
  * debian/control: replace Priority: extra
  * add watch file
  * add symbols file for librad0

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 10 Jul 2018 19:12:00 +0200

radlib (2.12.0-5) unstable; urgency=medium

  * add patch umask.patch (Closes: #873365)
  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: remove redundant dependency of autotools-dev

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 08 Sep 2017 18:12:00 +0200

radlib (2.12.0-4) unstable; urgency=medium

  * drop dependency for libc6 (Closes: #862520)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 20 May 2017 18:12:00 +0200

radlib (2.12.0-3) unstable; urgency=medium

  * debian/copyright: some additions (Closes: #862448)
  * debian/control: move to debian-iot as maintainer

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 13 May 2017 18:12:00 +0200

radlib (2.12.0-2) unstable; urgency=medium

  * upload to Debian
  * debian/control: move to dh10
  * debian/control: move standards to 3.9.8

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 11 May 2017 19:12:00 +0200

radlib (2.12.0-1) wheezy; urgency=low

  * New upstream release.

 -- Mark Teel <mteel2005@gmail.com>  Sat, 17 Mar 2012 10:00:00 -0600

radlib (2.11.3-1) wheezy; urgency=low

  * New upstream release.

 -- Mark Teel <mteel2005@gmail.com>  Sun, 10 Apr 2011 10:00:00 -0600

radlib (2.11.2-1) wheezy; urgency=low

  * New upstream release.

 -- Mark Teel <mteel2005@gmail.com>  Fri, 01 Apr 2011 17:00:00 -0600

radlib (2.11.1-1) wheezy; urgency=low

  * New upstream release.

 -- Mark Teel <mteel2005@gmail.com>  Fri, 01 Apr 2011 10:00:00 -0600

radlib (2.11.0-1) wheezy; urgency=low

  * New upstream release.

 -- Mark Teel <mteel2005@gmail.com>  Wed, 30 Mar 2011 10:00:00 -0600

radlib (2.10.3-1) wheezy; urgency=low

  * New upstream release.

 -- Mark Teel <mteel2005@gmail.com>  Mon, 14 Mar 2011 10:00:00 -0600

radlib (2.10.2-1) wheezy; urgency=low

  * New upstream release.

 -- Mark Teel <mteel2005@gmail.com>  Mon, 21 Feb 2011 10:00:00 -0600

radlib (2.10.1-1) wheezy; urgency=low

  * New upstream release.

 -- Mark Teel <mteel2005@gmail.com>  Sat, 15 May 2010 21:00:00 -0600

radlib (2.10.0-1) wheezy; urgency=low

  * New upstream release.

 -- Mark Teel <mteel2005@gmail.com>  Tue, 11 May 2010 17:00:00 -0600

radlib (2.9.0-1) wheezy; urgency=low

  * Initial Release.

 -- Mark Teel <mteel2005@gmail.com>  Tue, 17 Nov 2009 08:14:06 -0600
