=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS += hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
include /usr/share/dpkg/buildtools.mk
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	echo "Ldflags: $(LDFLAGS)"
	# ./configure $(CROSS) --prefix=/usr --enable-sqlite
	./configure  --prefix=/usr --enable-sqlite \
		--mandir=\$${prefix}/share/man \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--infodir=\$${prefix}/share/info \
		CC="$(CC)" \
		CXX="$(CXX)" \
		CFLAGS="$(CFLAGS)" \
		$(CROSS) \
		LDFLAGS="-Wl,-z,defs -Wl,-z,now $(LDFLAGS) -L\$${prefix}/lib -lsqlite3 -lpthread"

execute_after_dh_auto_install:
	# Rename raddebug to raddebug.radlib to avoid naming conflict with
	# freeradius (see  #1076219)
	mv debian/tmp/usr/bin/raddebug debian/tmp/usr/bin/raddebug.radlib
